%define major     1
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           physfs
Version:        3.0.2
Release:        %mkrel 5
Summary:        PhysicsFS, a library to provide abstract access to various archives
Group:          System/Libraries
License:        zlib
URL:            https://www.icculus.org/physfs
Source0:        https://icculus.org/physfs/downloads/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)


%description
A library to provide abstract access to various archives.
It is intended for use in video games.
The programmer defines a "write directory" on the physical filesystem.
No file writing done through the PhysicsFS API can leave that write directory.

%package -n %{libname}
Summary:        Main library for physfs
Group:          System/Libraries
# mga5 package used wrong major
Obsoletes:      %{_lib}physfs2 < 2.0.3-6
Provides:       %{_lib}physfs2 = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with physfs.

%package -n %{develname}
Summary:        Headers for developing programs that will use physfs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use physfs.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DPHYSFS_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
make -C build test_physfs

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%doc README.txt docs/CREDITS.txt
%license LICENSE.txt
%{_bindir}/test_%{name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Aug 21 2020 joequant <joequant> 3.0.2-5.mga8
+ Revision: 1617176
- fix cmake build

* Wed Feb 19 2020 umeabot <umeabot> 3.0.2-3.mga8
+ Revision: 1542329
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 3.0.2-2.mga8
+ Revision: 1476001
- rebuild for readline
+ wally <wally>
- build with new cmake macros

* Tue Mar 26 2019 zezinho <zezinho> 3.0.2-1.mga7
+ Revision: 1380396
- new bugfix release 3.0.2

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300258
- Mageia 7 Mass Rebuild

* Thu Oct 26 2017 akien <akien> 3.0.1-1.mga7
+ Revision: 1173873
- Version 3.0.1

* Wed Sep 27 2017 akien <akien> 3.0.0-1.mga7
+ Revision: 1160666
- Version 3.0.0
- Disable static build
- Enable checks

* Fri Apr 22 2016 daviddavid <daviddavid> 2.0.3-7.mga6
+ Revision: 1004699
- remove wrong Obsoletes/Provides from devel subpackage (duplicate with library subpackage)

* Fri Apr 15 2016 akien <akien> 2.0.3-6.mga6
+ Revision: 1002680
- Add a pkgconfig file
- Fix wrong lib major in package name (major is 1, 2.0.3 is only the version)
- Fix broken docdir
- Use new RPM macros

* Mon Feb 08 2016 umeabot <umeabot> 2.0.3-5.mga6
+ Revision: 944229
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-4.mga5
+ Revision: 738976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-3.mga5
+ Revision: 687572
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.3-2.mga4
+ Revision: 522613
- Mageia 4 Mass Rebuild

* Sat Mar 23 2013 zezinho <zezinho> 2.0.3-1.mga3
+ Revision: 404634
- new version

* Sun Jan 13 2013 umeabot <umeabot> 2.0.2-3.mga3
+ Revision: 377683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 2.0.2-2.mga3
+ Revision: 336138
- fix build

* Sat Oct 15 2011 eandry <eandry> 2.0.2-1.mga2
+ Revision: 155384
- New version 2.0.2

* Fri Sep 09 2011 tv <tv> 2.0.1-3.mga2
+ Revision: 141629
+ rebuild (emptylog)

* Thu Jan 27 2011 ahmad <ahmad> 2.0.1-3.mga1
+ Revision: 42269
- drop old/unneeded scriptles
+ eandry <eandry>
- imported package physfs

